std::char_traits< char > Struct Template Reference

Work around missing std::char_traits<char> More...

`#include <compiler-public.hxx>`

## Public Types

typedef int | int_type
typedef size_t | pos_type
typedef long | off_type
typedef char | char_type

## Static Public Member Functions

static int_type | eof ()

## Detailed Description

### template<>
struct std::char_traits< char >

Work around missing std::char_traits<char>

## Member Typedef Documentation

## char_type

typedef char std::char_traits< char >::char_type

## int_type

typedef int std::char_traits< char >::int_type

## off_type

typedef long std::char_traits< char >::off_type

## pos_type

typedef size_t std::char_traits< char >::pos_type

## Member Function Documentation

## eof()

static int_type std::char_traits< char >::eof | ( |  | ) |

static

The documentation for this struct was generated from the following file:

- compiler-public.hxx